Constructs EvIo watcher object

- « EvIo

- EvIo::createStopped »

- PHP Manual
- EvIo
- Constructs EvIo watcher object

# EvIo::__construct

(PECL ev >= 0.2.0)

EvIo::__construct — Constructs EvIo watcher object

### Description

public EvIo::__construct(
mixed `$fd` ,
int `$events` ,
callable `$callback` ,
mixed `$data` = ?,
int `$priority` = ?
)

Constructs EvIo watcher object and starts the watcher automatically.

### Parameters

`fd`

  Can be a stream opened with fopen() or similar functions, numeric file descriptor, or socket.

`events`

  `Ev::READ` and/or `Ev::WRITE`. See the bit masks.

`callback`

  See Watcher callbacks.

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### See Also

- EvIo::createStopped() - Create stopped EvIo watcher object
- EvLoop::io() - Create EvIo watcher object associated with the current event loop instance